package com.kingdee.eas.custom.permissioncontrol.task;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.Context;
import com.kingdee.bos.metadata.entity.FilterInfo;
import com.kingdee.bos.metadata.entity.FilterItemCollection;
import com.kingdee.bos.metadata.entity.FilterItemInfo;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.custom.permissioncontrol.IPermApplyBill;
import com.kingdee.eas.custom.permissioncontrol.PermApplyBillFactory;
import org.apache.commons.lang3.StringUtils;
import org.apache.log4j.Logger;

public class PermApplyBillFacadeControllerBean extends AbstractPermApplyBillFacadeControllerBean {
    private static Logger logger = Logger.getLogger(PermApplyBillFacadeControllerBean.class);

    /**
     * 更新生效单据
     *
     * @param ctx
     * @param billID
     * @throws BOSException
     * @throws EASBizException
     */
    @Override
    protected void _updateEffectBill(Context ctx, String billID) throws BOSException, EASBizException {
        super._updateEffectBill(ctx, billID);
        IPermApplyBill iPermApplyBill = PermApplyBillFactory.getLocalInstance(ctx);
        FilterInfo filterInfo = new FilterInfo();
        FilterItemCollection filterItems = filterInfo.getFilterItems();
        if (StringUtils.isBlank(billID)) {
            //生效日期大于等于今天
            filterItems.add(new FilterItemInfo("", ""));
        } else {

        }


    }
}